<?php

namespace domain\Product\ProductPointSale;

use domain\_\AbstractModule;
use domain\_\DefinitionInterface;

class ProductPointSaleModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            ProductPointSaleDefinition::class,
            ProductPointSaleRepository::class,
            ProductPointSaleBuilder::class,
        ];
    }

    public function getDefinition(): DefinitionInterface
    {
        return ProductPointSaleDefinition::getInstance();
    }

    public function getRepository(): ProductPointSaleRepository
    {
        return ProductPointSaleRepository::getInstance();
    }

    public function getBuilder(): ProductPointSaleBuilder
    {
        return ProductPointSaleBuilder::getInstance();
    }
}